package com.loganmagnan.unlimiteditems.commands;

import com.loganmagnan.unlimiteditems.UnlimitedItems;
import com.loganmagnan.unlimiteditems.menusystem.menu.SettingsSelectorMenu;
import com.loganmagnan.unlimiteditems.utils.command.BaseCommand;
import com.loganmagnan.unlimiteditems.utils.command.Command;
import com.loganmagnan.unlimiteditems.utils.command.CommandArguments;
import org.bukkit.entity.Player;

public class SettingsCommand extends BaseCommand {

    private UnlimitedItems main = UnlimitedItems.getInstance();

    @Command(name = "settings", permission = "unlimiteditems.command.settings", aliases = {"settingsmenu"})
    @Override
    public void executeAs(CommandArguments command) {
        Player player = command.getPlayer();

        String[] args = command.getArgs();

        if (args.length == 0) {
            new SettingsSelectorMenu(this.main.getPlayerMenuUtil(player)).open(player);
        }
    }
}
